%global pypi_name graphviz

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        0.10.1
Release:        1%{?dist}
Summary:        Simple Python interface for Graphviz

Group:          Development/Libraries
License:        MIT
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

Requires:       graphviz
%{?scl:Requires: %{scl}-runtime}

%description
This package facilitates the creation and rendering of graph descriptions in 
the DOT language of the Graphviz graph drawing software (master repo) from 
Python.

Create a graph object, assemble the graph by adding nodes and edges, and 
retrieve its DOT source code string. Save the source code to a file and 
render it with the Graphviz installation of your system.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib}
%{?scl:"}

%files
%license LICENSE.txt
%doc CHANGES.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Nov 22 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.10.1-1
- Initial package.
